Subject: Re: bug#33844: Rename ghc-pandoc to pandoc
From: zimoun <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], [email-masked], Pierre Neidhardt <[email-masked]>
Date: Sat, 19 Dec 2020 01:03:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 07 Oct 2020 at 17:27, zimoun <[email-masked]> wrote:
> Dear,
>
> On Wed, 09 Sep 2020 at 18:11, Ricardo Wurmus <[email-masked]> wrote:
>> zimoun <[email-masked]> writes:
>
>>>> We should also rename all uses of ghc-pandoc in the same patch.
>
> The packages: …
>
>>>  - rapicorn
>>>  - ganeti
>>>  - manuskript
>>>  - emacs-org-web-tools
>>>  - emacs-ox-pandoc
>>>  - ruby-pandoc-ruby
>
> … now uses ’pandoc’ instead of ’ghc-pandoc’, see:
>
> c22c6de453 gnu: rapicorn: Use pandoc instead of ghc-pandoc.
> 885332832c gnu: ganeti: Use pandoc instead of ghc-pandoc.
> 5dc5a3116b gnu: manuskript: Use pandoc instead of ghc-pandoc.
> 991c61678b gnu: emacs-org-web-tools: Use pandoc instead of ghc-pandoc.
> d37279ee1e gnu: emacs-ox-pandoc: Use pandoc instead of ghc-pandoc.
> 8cc8e584ab gnu: ruby-pandoc-ruby: Use pandoc instead of ghc-pandoc.
>
>
>> If these packages only use the “pandoc” executable they should use the
>> “pandoc” package instead of “ghc-pandoc”.  “ghc-pandoc” is only meant
>> for Haskell packages that use Pandoc as a library.  This is a much rarer
>> case, so we can assume that most packages should use “pandoc” instead of
>> “ghc-pandoc”.
>
> The only non-Haskell package remaining is ’gnu/packages/mail.scm
> (muchsync)’.  Once this package is done (see #43848 [1]), we should be
> able to close this bug, I guess.

Done by <http://issues.guix.gnu.org/issue/43848#1>, see 8514dfdee6.

Closing.

Thanks,
simon